Summary: Multitech IntelligentSerialInternal (ISI) Support Tools
Name: isicom
Version: 1.0
Release: 8
License: GPL (not Firmware)
Group: Applications/System
URL: http://www.multitech.com/
Source: isicom.tar.gz
Patch0: isicom-make.patch
ExcludeArch: s390 s390x

BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
The isicom package contains the binary images and loader for
Multi-Tech Systems Intelligent Serial Interface(TM) (ISI) data
files. Multi-Tech ISI multiport serial cards provide additional serial
ports for remote access servers, multi-user hosts and PCs. The isicom
package contains the files needed to use an ISI card with a Linux
system.

Install isicom if you're using a Multi-Tech ISI serial card on your
Red Hat Linux system.

%prep
%setup -n isicom
%patch0 -p1

%build
make clean
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{share/isicom,sbin}
#mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install -s -m 755 firmld $RPM_BUILD_ROOT/usr/sbin
#install -m 755 isild $RPM_BUILD_ROOT/etc/rc.d/init.d/
install -m 644 *.bin $RPM_BUILD_ROOT/usr/share/isicom

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644, root, root)
%attr(755,root,root) /usr/sbin/firmld
%attr(755,root,root) %dir /usr/share/isicom
/usr/share/isicom/*.bin

%changelog
* Tue Jul 10 2001 Tim Powers <timp@redhat.com>
- fixed non-standard dir perms on /usr/share/isicom

* Mon Jul  9 2001 Mike A. Harris <mharris@redhat.com> 1.0-7
- s/Copyright/License/ and fix buildroot dir
- Made package own directory: /usr/share/isicom

* Tue Jun 19 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- add ExcludeArch: s390 s390x

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sun Jun 18 2000 Matt Wilson <msw@redhat.com>
- rebuild for next release

* Tue Mar  7 2000 Jeff Johnson <jbj@redhat.com>
- rebuild for sparc baud rates > 38400.

* Mon Sep 13 1999 Bill Nottingham <notting@redhat.com>
- strip binary

* Fri Mar 26 1999 Cristian Gafton <gafton@redhat.com>
- sanitized the spec file
